Subject: Re: bug#48086: libtool refers to native bash instead of a cross-compiled bash

From: Ludovic Courtès <[email-masked]>
Date: Tue, 04 May 2021 21:02:23 +0200

Hi Maxime,

Maxime Devos <[email-masked]> skribis:

> $ guix build libtool --target=aarch64-linux-gnu
>> /gnu/store/yspdgc9wk8ap20729f6a7k0f640r6h7c-libtool-2.4.6
> $ head -n 1 /gnu/store/yspdgc9wk8ap20729f6a7k0f640r6h7c-libtool-2.4.6/bin/libtool
>> #! /gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bin/bash
> $ objdump -h /gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bin/bash
>> /gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bin/bash: \
>>     file format elf64-x86-64
>> [...]
>
> It seems the "libtool" script refers to a native bash, instead of the cross bash,
> even though I used --target=aarch64-linux-gnu!

As discussed as <https://issues.guix.gnu.org/48088#1>, I think this is
not much of a problem because this ‘libtool’ is unused in practice.

I’d be in favor of dismissing this bug; WDYT?

Thanks,
Ludo’.